org.springframework.data.convert

## Enum ThreeTenBackPortConverters.ZoneIdToStringConverter

- java.lang.Object
- - java.lang.Enum<ThreeTenBackPortConverters.ZoneIdToStringConverter>
  - - org.springframework.data.convert.ThreeTenBackPortConverters.ZoneIdToStringConverter

All Implemented Interfaces:
  Serializable, Comparable<ThreeTenBackPortConverters.ZoneIdToStringConverter>, Converter<org.threeten.bp.ZoneId,String>

Enclosing class:
  ThreeTenBackPortConverters

Deprecated.

    @WritingConverter
     @Deprecated
    public static enum ThreeTenBackPortConverters.ZoneIdToStringConverter
    extends Enum<ThreeTenBackPortConverters.ZoneIdToStringConverter>
    implements Converter<org.threeten.bp.ZoneId,String>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`String` `convert(org.threeten.bp.ZoneId source)` Deprecated.
`static ThreeTenBackPortConverters.ZoneIdToStringConverter` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static ThreeTenBackPortConverters.ZoneIdToStringConverter[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

### Enum Constant Detail

#### INSTANCE

    public static final ThreeTenBackPortConverters.ZoneIdToStringConverter INSTANCE

Deprecated.

### Method Detail

#### values

    public static ThreeTenBackPortConverters.ZoneIdToStringConverter[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ThreeTenBackPortConverters.ZoneIdToStringConverter c : ThreeTenBackPortConverters.ZoneIdToStringConverter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ThreeTenBackPortConverters.ZoneIdToStringConverter valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### convert

    @Nonnull
    public String convert(org.threeten.bp.ZoneId source)

Deprecated.

Specified by:
  `convert` in interface `Converter<org.threeten.bp.ZoneId,String>`